Connect
POST
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
composio
/
connections
Connect
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/composio/connections"
payload = {
"toolkit_slug": "<string>",
"callback_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({toolkit_slug: '<string>', callback_url: '<string>'})
};
fetch('https://x.kupe.in/v1/orgs/{org_id}/composio/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://x.kupe.in/v1/orgs/{org_id}/composio/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"toolkit_slug": "<string>",
"callback_url": "<string>"
}
'{
"connection": {
"id": "<string>",
"org_id": "<string>",
"toolkit_slug": "<string>",
"toolkit_name": "<string>",
"status": "initializing",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"redirect_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
⌘I
Connect
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/composio/connections"
payload = {
"toolkit_slug": "<string>",
"callback_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({toolkit_slug: '<string>', callback_url: '<string>'})
};
fetch('https://x.kupe.in/v1/orgs/{org_id}/composio/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://x.kupe.in/v1/orgs/{org_id}/composio/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"toolkit_slug": "<string>",
"callback_url": "<string>"
}
'{
"connection": {
"id": "<string>",
"org_id": "<string>",
"toolkit_slug": "<string>",
"toolkit_name": "<string>",
"status": "initializing",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"redirect_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
